Skip to main content

Webhooks

List all webhooks​

GET /api/v1/webhooks

Retrieve a webhook​

GET /api/v1/webhooks/{webhook_id}

Create a webhook​

POST /api/v1/webhooks

Request body​

NameTypeDescription
urlstringThe URL that is configured to listen for incoming POST notification messages that contain event information. Example: https://app.com/notifications
eventsarray of stringAn array of events to which to subscribe your webhook. Example: ["order.created", "order.updated", "order.paid"]
enabledbooleanSet to true to deliver the webhook payload when one of the events is triggered.
secretstringOptional. Used to compute the SHA512 HMAC signature of the webhook body.
descriptionstringOptional. Any description for this webhook.

Update a webhook​

PUT /api/v1/webhooks/{webhook_id}

Request body​

Same as create.

Delete a webhook​

DELETE /api/v1/webhooks/{webhook_id}